Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 18 Jul 2021 03:42:46 +0000

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns It's already been 7 days since I've asked for return, there is no update regarding that, I'm planning to return it soon , so I can buy new one with that, I needed that so urgently, because I need it for Eid , it's on July 20, 2021, but you still haven't picked up my return yet and also not refunded my money yet

I felt so disappointed with Max , the way you are handling your customer since I've already a Shukran Member

Hereafter in future I won't buy anything from Max either in Online or Store purchase, I'm totally unsatisfied with your response because of your worst experience and response I'm unable to buy new pants For Eid Al Aldha ,

My money, time , experience been wasted before that I've already emailed regarding this but there is no response at all , what's that return should be proceed after 7 to 10 days ?
It's already 7 days gone.
I need my money back and additional compensation for the difficulties I've faced through this.
Worst ever experience
I hate it,
I gonna file a case against Max in consumer court regarding this https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2874679